API ReferenceMetrics
Get Metrics (/metrics)
Get metrics grouped, sorted and filtered
Authorization
bearerAuth user, superuser, admin, superadmin, readonlyAuthorization<token>
In: header
Scope: user, superuser, admin, superadmin, readonly
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
Try it live
curl -X POST "https://example.com/metrics" \ -H "Content-Type: application/json" \ -d '{ "filter": { "conditions": [ { "operator": "eq", "value": "string", "attribute": "sku_id" } ], "date_range": { "to": "2019-08-24T14:15:22Z", "from": "2019-08-24T14:15:22Z" } }, "group_by": { "attributes": [ "sku_id" ] }, "sorting": [ { "attribute": "sku_id", "direction": "asc" } ], "pagination": { "pageSize": 0.1, "page": 0.1 } }'{ "totalItems": 0.1, "currentPage": 0.1, "totalPages": 0.1, "data": [ { "identifier": "string", "attributes": { "property1": 0.1, "property2": 0.1 } } ]}